%global packname sciplot
%global packvers 1.0
%global packrel 9

Name:             R-%{packname}
Version:          %{packvers}.%{packrel}
Release:          1%{?dist}
Summary:          Scientific Graphing Functions for Factorial Designs
Group:            Applications/Productivity
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/sciplot/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packvers}-%{packrel}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires:         R-core
BuildRequires:    R-devel, tex(latex)


%description
A collection of functions that creates graphs with error bars for data collected 
from one-way or higher factorial designs

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
install -pm 644 %{packname}/README %{packname}/CHANGELOG %{buildroot}%{_datadir}/R/library/%{packname}/
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/README
%doc %{_datadir}/R/library/%{packname}/CHANGELOG

%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help

%changelog
* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> - 1.0.9-1
- update to 1.0-9

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Adam Tkac <atkac redhat com>
- 1.0.7-4
- rebuild to ensure F14 NVR is bigger than in F13

* Sat May 08 2010 josef radinger <cheese@nosuchhost.net> 
- 1.0.7-3
- fix buildrequires

* Wed Apr 07 2010 josef radinger <cheese@nosuchhost.net> 
- 1.0.7-2
- fix version
- enable check
- fix additional docs

* Wed Apr 07 2010 josef radinger <cheese@nosuchhost.net> 
- 1.0-1
- initial release
